divert(-1)
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#

ifelse(defn(`_ARG_'), `', 
	`errprint(`*** ERROR: missing argument for FEATURE(`rsdnsbl')')')
divert(0)
ifdef(`_RDNSBL_R_',`dnl',`dnl
VERSIONID(`$Id: rsdnsbl.m4,v 1.3 2007/09/25 21:18:25 anfi Exp $')
LOCAL_CONFIG
dnl rsdnsbl "reuses" enhdnsbl map
define(`_EDNSBL_R_',`')dnl
# map for enhanced DNS based blacklist lookups
Kednsbl dns -R A -a. -T<TMP> -r`'ifdef(`EDNSBL_TO',`EDNSBL_TO',`5')
')
divert(-1)
define(`_RDNSBL_SRV_', `_ARG_')dnl
define(`_RDNSBL_TYPE_', `ifelse(_ARG2_,`whitelist',`whitelist',`blacklist')')dnl
define(`_RDNSBL_TMP_', `ifelse(_ARG3_,`t',`skip',`keepgoing')')dnl
define(`_RDNSBL_MATCH_', `ifelse(len(X`'_ARG4_),`1',`$`'+',_ARG4_)')dnl
define(`_RDNSBL_ACTION_',`ifelse(_RDNSBL_TYPE_,`whitelist',`$`'@ OK',`$: OK')')dnl
divert(8)
# DNS based IP address reputation _RDNSBL_TYPE_ _RDNSBL_SRV_
R$*			$: $&{client_addr}
R$-.$-.$-.$-		$: <?> $(ednsbl $4.$3.$2.$1._RDNSBL_SRV_. $: OK $)
ifelse(_RDNSBL_TYPE_,`blacklist',
`R<?>OK	$@ OK	not found on blacklist - no more checks',
`R<?>OK	$: OK	not found on whitelist - do remaning checks')
ifelse(_RDNSBL_TMP_,`skip',
`R<?>$+<TMP>		$@ OK			no more checks',
`R<?>$+<TMP>		$: TMPOK		keep checking')
R<?>_RDNSBL_MATCH_	_RDNSBL_ACTION_
ifelse(len(X`'_ARG5_),`1',`dnl',
`R<?>_ARG5_		_RDNSBL_ACTION_')
ifelse(len(X`'_ARG6_),`1',`dnl',
`R<?>_ARG6_		_RDNSBL_ACTION_')
ifelse(len(X`'_ARG7_),`1',`dnl',
`R<?>_ARG7_		_RDNSBL_ACTION_')
ifelse(len(X`'_ARG8_),`1',`dnl',
`R<?>_ARG8_		_RDNSBL_ACTION_')
ifelse(len(X`'_ARG9_),`1',`dnl',
`R<?>_ARG9_		_RDNSBL_ACTION_')
ifelse(_RDNSBL_TYPE_,`blacklist',
`R<?>$*	$@ OK	not found on blacklist - no more checks',
`R<?>$*	$: OK 	not found on whitelist - do remaning checks')
divert(-1)
