PUSHDIVERT(-1)
dnl
dnl By using this file, you agree to the terms and conditions set
dnl forth in the LICENSE file which can be found at the top level of
dnl the sendmail distribution (sendmail-8.12).
dnl
dnl	Original version contributed by Kenneth Murchison.
dnl	Version with cyrusv3 mailers contributed by Andrzej Filip
dnl
dnl $Log: cyrusv3.m4,v $
dnl Revision 1.1  2007/04/16 20:37:36  anfi
dnl First version in  sourceforge CVS
dnl
dnl Revision 1.1  2006/12/02 21:36:47  anfi
dnl Initial revision
dnl
dnl

_DEFIFNOT(`CYRUS_LMTP_SOCKET',`/var/imap/socket/lmtp')
_DEFIFNOT(`_DEF_CYRUSV3_MAILER_FLAGS', `lsDFMnqXz1')
_DEFIFNOT(`_DEF_CYRUSV3D_MAILER_FLAGS', _DEF_CYRUSV3_MAILER_FLAGS)
_DEFIFNOT(`CYRUSV3_MAILER_FLAGS',   `m@/:|')
_DEFIFNOT(`CYRUSV3A_MAILER_FLAGS',  `m@/:|A5')
_DEFIFNOT(`CYRUSV3D_MAILER_FLAGS',  `m')
_DEFIFNOT(`CYRUSV3DA_MAILER_FLAGS', `mA5')
dnl
ifdef(`CYRUSV3_MAILER_ARGS',,   `define(`CYRUSV3_MAILER_ARGS',  `FILE 'CYRUS_LMTP_SOCKET)')
define(`_CYRUSV3_QGRP', `ifelse(defn(`CYRUSV3_MAILER_QGRP'),`',`', ` Q=CYRUSV3_MAILER_QGRP,')')dnl

POPDIVERT

#########################################
###   Cyrus V3 Mailer specification   ###
#########################################

VERSIONID(`$Id: cyrusv3.m4,v 1.1 2007/04/16 20:37:36 anfi Exp $')

Mcyrusv3,	P=[IPC], F=_MODMF_(CONCAT(_DEF_CYRUSV3_MAILER_FLAGS, CYRUSV3_MAILER_FLAGS), `CYRUSV3'),
		S=EnvFromSMTP/HdrFromL, R=EnvToL/HdrToL, E=\r\n,
		_OPTINS(`CYRUSV3_MAILER_MAXMSGS', `m=', `, ')_OPTINS(`CYRUSV3_MAILER_MAXRCPTS', `r=', `, ')_OPTINS(`CYRUSV3_MAILER_CHARSET', `C=', `, ')T=DNS/RFC822/SMTP,_CYRUSV3_QGRP
		A=CYRUSV3_MAILER_ARGS
Mcyrusv3a,	P=[IPC], F=_MODMF_(CONCAT(_DEF_CYRUSV3_MAILER_FLAGS, CYRUSV3A_MAILER_FLAGS), `CYRUSV3A'),
		S=EnvFromSMTP/HdrFromL, R=EnvToL/HdrToL, E=\r\n,
		_OPTINS(`CYRUSV3_MAILER_MAXMSGS', `m=', `, ')_OPTINS(`CYRUSV3_MAILER_MAXRCPTS', `r=', `, ')_OPTINS(`CYRUSV3_MAILER_CHARSET', `C=', `, ')T=DNS/RFC822/SMTP,_CYRUSV3_QGRP
		A=CYRUSV3_MAILER_ARGS
Mcyrusv3d,	P=[IPC], F=_MODMF_(CONCAT(_DEF_CYRUSV3D_MAILER_FLAGS, CYRUSV3D_MAILER_FLAGS), `CYRUSV3D'),
		S=EnvFromSMTP/HdrFromL, R=ifdef(`_ALL_MASQUERADE_', `EnvToSMTP/HdrFromSMTP', `EnvToSMTP'), E=\r\n,
		_OPTINS(`CYRUSV3_MAILER_MAXMSGS', `m=', `, ')_OPTINS(`CYRUSV3_MAILER_MAXRCPTS', `r=', `, ')_OPTINS(`CYRUSV3_MAILER_CHARSET', `C=', `, ')T=DNS/RFC822/SMTP,_CYRUSV3_QGRP
		A=CYRUSV3_MAILER_ARGS
Mcyrusv3da,	P=[IPC], F=_MODMF_(CONCAT(_DEF_CYRUSV3D_MAILER_FLAGS, CYRUSV3DA_MAILER_FLAGS), `CYRUSV3DA'),
		S=EnvFromSMTP/HdrFromL, R=ifdef(`_ALL_MASQUERADE_', `EnvToSMTP/HdrFromSMTP', `EnvToSMTP'), E=\r\n,
		_OPTINS(`CYRUSV3_MAILER_MAXMSGS', `m=', `, ')_OPTINS(`CYRUSV3_MAILER_MAXRCPTS', `r=', `, ')_OPTINS(`CYRUSV3_MAILER_CHARSET', `C=', `, ')T=DNS/RFC822/SMTP,_CYRUSV3_QGRP
		A=CYRUSV3_MAILER_ARGS
